PICOTOOL-LINK(1)

NAME
picotool-link - Link multiple binaries into one block loop.

SYNOPSIS
picotool link [--quiet] [--verbose] <outfile> [-t <type>] <infile1> [-t <type>] <infile2> [-t <type>] [<infile3>] [-t <type>] [-p <pad>]

OPTIONS

--quiet
    Don’t print any output

--verbose
    Print verbose output

-p <pad>
    Specify alignment to pad to, defaults to 0x1000

File to write to

<outfile>
    The file name

-t <type>
    Specify file type (uf2 | bin) explicitly, ignoring file extension

Files to link

<infile1>
    The file name

-t <type>
    Specify file type (uf2 | elf | bin) explicitly, ignoring fileextension

<infile2>
    The file name

<infile3>
    The file name